Get status of zone transfer
Get status of zone transfer. Note that Cloud DNS relies on the following Anycast addresses for sending DNS notify messages. Make sure to whitelist on your end:
IPv4: 212.227.123.25
IPv6: 2001:8d8:fe:53::5cd:25
Please provide header value as 'Bearer ' and don't forget to add 'Bearer' HTTP Authorization Scheme before the token.
The ID (UUID) of the DNS zone.
Successful operation.
Indicates, for secondary zones, the transfer status for each one single IP defined on primaryIps field
Bad Request
The request send to the API was malformed.
Unauthorized
The request is missing authorization information or the authorization information provided are expired.
Not Allowed
The user issuing the request does not have the needed permissions.
Not Found
The resource that was requested could not be found.
Internal Server Error
An internal error occurred. We apologize for the inconvenience!
GET /secondaryzones/{secondaryZoneId}/axfr HTTP/1.1
Host: dns.de-fra.ionos.com
Authorization: YOUR_API_KEY
Accept: */*
{
"type": "collection",
"items": [
{
"primaryIp": "1.2.3.4",
"status": "text",
"errorMessage": "Connection with primary nameserver could not be established"
}
]
}Last updated
Was this helpful?